package hf.lskj.com.carstockcount.utils;

import android.text.TextUtils;
import android.util.Log;

/**
 * Created on 2016/8/1.
 * Author:crs
 * Description:XXX
 */
public class LogUtils {
    public static String getTag() {
        return tag;
    }

    public static void setTag(String tag) {
        LogUtils.tag = tag;
    }

    private static String tag = "x_log";

    public static boolean isDebug = true;

    public static void e(String msg) {
        e(tag, msg);
    }

    public static void e(Throwable ex) {
        e(tag, ex);
    }

    public static void w(String msg) {
        w(tag, msg);
    }

    public static void v(String msg) {
        v(tag, msg);
    }


    public static void d(String msg) {
        d(tag, msg);
    }

    public static void i(String msg) {
        i(tag, msg);
    }

    public static void e(String tag, String msg) {
        if (isDebug) {
            if (TextUtils.isEmpty(msg)) {
                return;
            }
            Log.e(tag, msg);
        }

    }

    public static void e(String tag, Throwable ex) {
        if (isDebug) {
            if (ex == null) {
                return;
            }
            Log.e(tag, null, ex);
        }

    }

    public static void w(String tag, String msg) {
        if (isDebug) {
            if (TextUtils.isEmpty(msg)) {
                return;
            }
            Log.w(tag, msg);
        }
    }

    public static void v(String tag, String msg) {
        if (isDebug) {
            if (TextUtils.isEmpty(msg)) {
                return;
            }
            Log.v(tag, msg);
        }
    }


    public static void d(String tag, String msg) {
        if (isDebug) {
            if (TextUtils.isEmpty(msg)) {
                return;
            }
            Log.d(tag, msg);
        }
    }

    public static void i(String tag, String msg) {
        if (isDebug) {
            if (TextUtils.isEmpty(msg)) {
                return;
            }
            Log.i(tag, msg);
        }
    }
}